# $Revision: 1.23 $, $Date: 2010/07/29 17:58:34 $
%define		nmversion %{version}
Summary:	Network Manager for GNOME
Summary(pl.UTF-8):	Zarządca sieci dla GNOME
Name:		NetworkManager-applet
Version:	0.8.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/0.8/network-manager-applet-%{version}.tar.bz2
# Source0-md5:	b709808c1a5cfe8236061b5da4907313
URL:		http://projects.gnome.org/NetworkManager/
BuildRequires:	GConf2-devel >= 2.20.0
BuildRequires:	NetworkManager-devel >= %{nmversion}
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	dbus-devel >= 1.2.6
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	gnome-bluetooth-devel >= 2.28.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libglade2-devel
BuildRequires:	libgnome-keyring-devel >= 2.20.0
BuildRequires:	libiw-devel >= 1:28-0.pre9.1
BuildRequires:	libnotify-devel >= 0.4.3
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.92
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	NetworkManager >= %{nmversion}
Requires:	dbus >= 1.2.6
Requires:	mobile-broadband-provider-info
Requires:	polkit-gnome
Suggests:	dbus(org.freedesktop.Notifications)
Obsoletes:	NetworkManager-applet-devel
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Network Manager Applet for GNOME.

%description -l pl.UTF-8
Aplet zarządcy sieci dla GNOME.

%package -n gnome-bluetooth-plugin-nma
Summary:	NetworkManager applet plugin for GNOME Bluetooth
Summary(pl.UTF-8):	Wtyczka NetworkManager Applet dla GNOME Bluetooth
Group:		X11/Applications
Requires:	NetworkManager-applet >= %{nmversion}
Requires:	gnome-bluetooth >= 2.28.0

%description -n gnome-bluetooth-plugin-nma
NetworkManager applet plugin for GNOME Bluetooth.

%description -n gnome-bluetooth-plugin-nma -l pl.UTF-8
Wtyczka NetworkManager Applet dla GNOME Bluetooth.

%prep
%setup -q -n network-manager-applet-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-vpn-properties

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-bluetooth/plugins/*.{a,la}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%gconf_schema_install nm-applet.schemas

%preun
%gconf_schema_uninstall nm-applet.schemas

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/nm-applet
%attr(755,root,root) %{_bindir}/nm-connection-editor
%{_sysconfdir}/gconf/schemas/nm-applet.schemas
%dir %{_datadir}/gnome-vpn-properties
%{_datadir}/nm-applet
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_desktopdir}/nm-connection-editor.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/nm-applet.conf

%files -n gnome-bluetooth-plugin-nma
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnome-bluetooth/plugins/libnma.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: NetworkManager-applet.spec,v $
Revision 1.23  2010/07/29 17:58:34  megabajt
- updated to 0.8.1; merged changes from DEVEL

Revision 1.21.2.2  2010/06/13 20:37:36  arvenil
- R: mobile-broadband-provider-info

Revision 1.22  2010/06/03 14:46:22  sparky
- replaced BR: gnome-keyring-devel with BR: libgnome-keyring-devel

Revision 1.21.2.1  2010/05/30 15:50:34  arvenil
- up to 0.8.0.998 (not tested yet)
- BR: gnome-keyring-devel => libgnome-keyring-devel

Revision 1.21  2010/05/30 15:45:51  arvenil
- revert last change, it should go to DEVEL

Revision 1.19  2010/02/20 07:11:17  megabajt
- updated to 0.8
- packaged gnome-bluetooth plugin

Revision 1.18  2010/02/06 02:06:10  sparky
- BR: PolicyKit-gnome-devel replaced polkit-devel
- same version NetworkManager-devel is required

Revision 1.17  2010/02/05 23:32:27  qwiat
- updated to 0.7.999

Revision 1.16  2009/11/27 22:48:52  megabajt
- updated to 0.7.2

Revision 1.15  2009/11/26 03:20:14  sparky
- BR: libuuid-devel; added URL

Revision 1.14  2009/07/05 17:55:40  pawelz
- dropped R: notification-daemon
- S: dbus(org.freedesktop.Notifications)
- rel 2

Revision 1.13  2009/04/14 09:08:30  megabajt
- updated to 0.7.1 (fixes CVE-2009-0365 and CVE-2009-0578)

Revision 1.12  2009/03/29 11:58:54  megabajt
- R: notification-daemon

Revision 1.11  2008/12/03 17:30:45  megabajt
- own %{_datadir}/gnome-vpn-properties
- release 2

Revision 1.10  2008/11/27 16:36:36  megabajt
- updated to 0.7.0

Revision 1.6.2.7  2008/09/03 20:14:49  patrys
- current snap

Revision 1.9  2008/06/23 18:43:24  qboosh
- reverted (came from invalid pcre build)

Revision 1.6.2.6  2008/06/23 15:21:48  adamg
- reverted, NetworkManager does not directly depened on readline

Revision 1.8  2008/06/23 15:06:28  adamg
- BR: readline-devel (thanks to Przemyslaw Gierski  pgierski (at) o2.pl)

Revision 1.6.2.5  2008/06/23 14:56:37  cactus
- thx to Przemyslaw Gierski <pgierski@o2.pl>

Revision 1.6.2.4  2008/06/23 14:52:57  cactus
- BR: readline-devel (thx Przemyslaw Gierski <pgierski//o2\\pl> )

Revision 1.6.2.3  2008/04/22 22:10:51  patrys
- rev693

Revision 1.7  2008/03/07 16:15:10  megabajt
- updated to 0.6.6

Revision 1.6.2.2  2007-11-23 20:25:36  megabajt
- kill unneeded %attr

Revision 1.6.2.1  2007-11-23 19:21:03  megabajt
- start playing with network-manager-applet 0.7
- added devel subpackage

Revision 1.6  2007-11-03 22:56:59  ankry
- sr@Latn -> sr@latin, rel. 3

Revision 1.5  2007/06/16 20:41:56  qboosh
- ac/am deps

Revision 1.4  2007/06/12 11:33:38  aflinta
- release 2 for working package

Revision 1.3  2007/05/15 22:06:33  aredridel
- update icon cache in %post

Revision 1.2  2007/05/14 19:59:50  qboosh
- some epochs

Revision 1.1  2007/05/11 13:16:50  patrys
- applet for NM 0.6.5
